Bug 820551 - license: client-side dual license GPLV2 and LGPLv3+
license: client-side dual license GPLV2 and LGPLv3+
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
All All
unspecified Severity low
: ---
: ---
Assigned To: Kaleb KEITHLEY
M S Vishwanath Bhat
: Reopened
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-10 07:38 EDT by Kaleb KEITHLEY
Modified: 2016-05-31 21:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:54:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2012-05-10 07:38:50 EDT
Description of problem:

  Change license to dual license for client-side components

Version-Release number of selected component (if applicable):

  N/A

How reproducible:

  N/A

Steps to Reproduce:

  N/A
  
Actual results:

  N/A

Expected results:

  N/A

Additional info:
Comment 1 Anand Avati 2012-05-11 01:06:05 EDT
CHANGE: http://review.gluster.com/3304 (license: dual license under GPLV2 and LGPLV3+) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2012-05-11 02:24:40 EDT
CHANGE: http://review.gluster.com/3311 (Update rfc.sh to release-3.3) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 3 Anand Avati 2012-05-11 02:26:48 EDT
CHANGE: http://review.gluster.com/3309 (build: Include COPYING-{LGPLV3,GPLV2} and remove COPYING) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Anand Avati 2012-05-11 02:27:03 EDT
CHANGE: http://review.gluster.com/3312 (build: Include COPYING-{LGPLV3,GPLV2} and remove COPYING) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 5 Anand Avati 2012-05-12 14:05:58 EDT
CHANGE: http://review.gluster.com/3318 (configure.ac: Update version to 3.3git) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 6 Anand Avati 2012-07-16 18:52:42 EDT
License headers for the following needs to be updated as well:


glusterfsd/src/glusterfsd-mgmt.c
glusterfsd/src/glusterfsd.c
glusterfsd/src/glusterfsd-mem-types.h
glusterfsd/src/glusterfsd.h
rpc/xdr/src/glusterfs3-xdr.h
rpc/xdr/src/xdr-generic.c
rpc/xdr/src/portmap-xdr.c
rpc/xdr/src/glusterfs3-xdr.c
rpc/xdr/src/rpc-common-xdr.c
rpc/xdr/src/rpc-common-xdr.h
rpc/xdr/src/portmap-xdr.h
rpc/xdr/src/glusterfs3.h
rpc/xdr/src/xdr-generic.h
Comment 7 Kaleb KEITHLEY 2012-08-24 08:31:35 EDT
I see that all the rpc/xdr/xrc/* files have been updated on HEAD, but not on the 3.3.1.

And none of the glusterfsd/src/* files have been changed?

Do we want (need) the license changed by 3.3.1?
Comment 8 Kaleb KEITHLEY 2012-08-24 09:13:40 EDT
http://review.gluster.com/3856 (master)
 and 
http://review.gluster.com/3857 (release-3.3)
Comment 9 Vijay Bellur 2013-01-25 18:44:36 EST
CHANGE: http://review.gluster.org/4431 (glusterfsd: copyright message) merged in master by Anand Avati (avati@redhat.com)
Comment 10 Vijay Bellur 2013-02-07 16:39:15 EST
CHANGE: http://review.gluster.org/3857 (dual license) merged in release-3.3 by Anand Avati (avati@redhat.com)
Comment 11 Vijay Bellur 2013-02-11 20:59:03 EST
CHANGE: http://review.gluster.org/4500 (Branch updated to release-3.4) merged in release-3.4 by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.